CATOPEN(3)

NAME
catopen - open message catalog

SYNOPSIS
#include <nl_types.h>
nl_catd
catopen(const char *name, int oflag);

DESCRIPTION
The catopen() function opens the message catalog specified by name and returns a message catalog descriptor. If name contains a ‘/’ then name specifies the full pathname for the message catalog, otherwise the value of the environment variable NLSPATH is used with name substituted for %N.

The oflag argument is reserved for future use and should be set to zero.

RETURN VALUE
Upon successful completion, catopen() returns a message catalog descriptor. Otherwise, (nl_catd) -1 is returned and errno is set to indicate the error.

ERRORS

[ENOMEM]
    Insufficient memory is availiable.

SEE ALSO
catclose(3), catgets(3)

STANDARDS
The catopen() function conforms to xpg3.